Package org.apache.sysds.runtime.compress.lib

# Class CLALibTernaryOp

java.lang.Object
org.apache.sysds.runtime.compress.lib.CLALibTernaryOp

public final class CLALibTernaryOp extends Object

## Method Summary

Modifier and Type
Method
Description
`static MatrixBlock`
`ternaryOperations(TernaryOperator op, MatrixBlock m1, MatrixBlock m2, MatrixBlock m3)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### ternaryOperations

public static MatrixBlock ternaryOperations(TernaryOperator op, MatrixBlock m1, MatrixBlock m2, MatrixBlock m3)